#define INCL_WIN
#define INCL_GPI
#define INCL_WINWINDOWMGR

// os2
#include <os2.h>
#include <GL\tk.h>
#include <conio.h>
#include <stdio.h>

#include <gl\gl.h>
#include <gl\glu.h>
#include <gl\glaux.h>
#include "IL\il.h"
#include "IL\ilu.h"


int main( int argc, char *argv[] )
{

HAB hab;
HMQ hmq;

 hab = WinInitialize(0); hmq = WinCreateMsgQueue(hab,0);

	ilInit();
  	iluInit();
  iluImageParameter(ILU_FILTER,ILU_BILINEAR); // or ILU_LINEAR
if (ilLoadImage("gamedata\\textures\\veh\\veh_vagoni_cpm.dds"))
WinMessageBox(HWND_DESKTOP, HWND_DESKTOP, 
"ilLoadImage() Success!", "OGF_TRACE", 0L, MB_ICONHAND | MB_OK);

WinMessageBox(HWND_DESKTOP, HWND_DESKTOP, 
"before PM terminate()", "OGF_TRACE", 0L, MB_ICONHAND | MB_OK);

ilShutDown();

   return( 0 );

}

